| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::BillboardParticleRendererFactory Class Reference
Core » Effects

Factory class for BillboardParticleRenderer. More...

`#include <OgreBillboardParticleRenderer.h>`

Inheritance diagram for Ogre::BillboardParticleRendererFactory:
[legend]

## Public Member Functions
ParticleSystemRenderer * | createInstance (const String &name)
| Creates a new object. More...
void | destroyInstance (ParticleSystemRenderer *ptr)
| Destroys an object which was created by this factory. More...
const String & | getType () const
| Returns the factory type. More...

## Detailed Description

Factory class for BillboardParticleRenderer.

## Member Function Documentation

## ◆ getType()

const String& Ogre::BillboardParticleRendererFactory::getType | ( |  | ) | const
| virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## ◆ createInstance()

ParticleSystemRenderer* Ogre::BillboardParticleRendererFactory::createInstance | ( | const String & | name | ) |
| virtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## ◆ destroyInstance()

void Ogre::BillboardParticleRendererFactory::destroyInstance | ( | ParticleSystemRenderer * | ptr | ) |
| virtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

The documentation for this class was generated from the following file:

- OgreBillboardParticleRenderer.h